Get public CVE
One CVE with a plain-language explanation, its exploitation signals, what it means for an architecture, and references to read more.
GET
One CVE with a plain-language explanation, its exploitation signals, what it means for an architecture, and references to read more.
cve_id*Cve IdSuccessful Response
application/json- response
architecture*Which kinds of components and trust boundaries the CVE touches, from its data.
cvss?|nullcvss_metrics*array<>description*Descriptionepss?|nullexplanation*Plain-language sections written from deterministic templates over the record.
exposure*fixes?array<>id*Idkev?|nulllast_modified_at*Last Modified AtFormat
date-timelinks*nvd_status*Nvd Statuspriority*products*array<>published_at*Published AtFormat
date-timereferences*array<>severity?|nullsource_identifier*Source Identifierssvc?|nullsummary*Summarytitle*Titlevendors*array<string>weakness_details*array<>weaknesses*array<string>curl -X GET 'https://api.veriom.ai/v1/public/cves/string'Example Response
{ "architecture": { "boundaries": [ { "name": "string", "reason": "string" } ], "components": [ { "name": "string", "reason": "string" } ], "questions": [ "string" ] }, "cvss": { "primary": false, "score": 0, "severity": "critical", "source": "", "vector": "", "version": "string" }, "cvss_metrics": [ { "primary": false, "score": 0, "severity": "critical", "source": "", "vector": "", "version": "string" } ], "description": "string", "epss": { "percentile": 0, "score": 0, "scored_on": "2019-08-24" }, "explanation": { "exploitation": "string", "how_it_is_reached": "string", "impact": "string", "summary": "string", "what_it_is": "string", "what_to_do": [ "string" ] }, "exposure": { "attack_vector": "network", "privileges_required": "none", "scope_changed": false, "user_interaction": true }, "fixes": [ { "fixed_in": [ "string" ], "product": "string", "vendor": "string" } ], "id": "string", "kev": { "added_on": "2019-08-24", "due_on": "2019-08-24", "name": "string", "ransomware": "known", "required_action": "string" }, "last_modified_at": "2019-08-24T14:15:22Z", "links": { "cve_org": "string", "kev": "string", "nvd": "string" }, "nvd_status": "string", "priority": { "level": "act-now", "reason": "string" }, "products": [ { "product": "string", "vendor": "string" } ], "published_at": "2019-08-24T14:15:22Z", "references": [ { "kind": "patch", "source": "", "tags": [ "string" ], "url": "string" } ], "severity": "critical", "source_identifier": "string", "ssvc": { "automatable": "string", "exploitation": "string", "technical_impact": "string" }, "summary": "string", "title": "string", "vendors": [ "string" ], "weakness_details": [ { "explanation": "string", "id": "string", "name": "string", "url": "string" } ], "weaknesses": [ "string" ]}